<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (13.0.2) on Mon Apr 13 03:50:16 BRT 2020 -->
<title>SubscriberSetCourseCarTest</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-13">
<meta name="description" content="declaration: package: eu.systemsengineer.fjcapeletto, class: SubscriberSetCourseCarTest">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":9,"i1":9,"i2":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SubscriberSetCourseCarTest.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">eu.systemsengineer.fjcapeletto</a></div>
<h1 title="Class SubscriberSetCourseCarTest" class="title">Class SubscriberSetCourseCarTest</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">eu.systemsengineer.fjcapeletto.SubscriberSetCourseCarTest</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="typeNameLabel">SubscriberSetCourseCarTest</span>
extends java.lang.Object</pre>
</section>
<section class="summary">
<ul class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>(package private) static eu.systemsengineer.fjcapeletto.model.CarsBase</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#carsBaseConfig">carsBaseConfig</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="handler/config/DisplayConfiguration.html" title="class in eu.systemsengineer.fjcapeletto.handler.config">DisplayConfiguration</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#displayConfig">displayConfig</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;eu.systemsengineer.fjcapeletto.model.Car&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fleetCars">fleetCars</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static org.slf4j.Logger</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#LOGGER">LOGGER</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.Map&lt;java.lang.Integer,&#8203;eu.systemsengineer.fjcapeletto.model.Car&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mapCarList">mapCarList</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) static <a href="handler/config/NetworkConfiguration.html" title="class in eu.systemsengineer.fjcapeletto.handler.config">NetworkConfiguration</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#netConfig">netConfig</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static eu.systemsengineer.fjcapeletto.msg.publisher.PublisherSetCourseCar</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#publisherSetCourseCar">publisherSetCourseCar</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) static org.springframework.context.ApplicationContext</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#springContext">springContext</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static eu.systemsengineer.fjcapeletto.msg.subscriber.SubscriberSetCourseCar</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#subscriberSetCourseCar">subscriberSetCourseCar</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">SubscriberSetCourseCarTest</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setUpBeforeClass()">setUpBeforeClass</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#tearDownAfterClass()">tearDownAfterClass</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#testSetCourseCar()">testSetCourseCar</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<li class="blockList">
<section class="fieldDetails"><a id="field.detail">
<!--   -->
</a>
<h2>Field Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="LOGGER">LOGGER</a></h3>
<div class="memberSignature"><span class="modifiers">private static final</span>&nbsp;<span class="returnType">org.slf4j.Logger</span>&nbsp;<span class="memberName">LOGGER</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="springContext">springContext</a></h3>
<div class="memberSignature"><span class="modifiers">static</span>&nbsp;<span class="returnType">org.springframework.context.ApplicationContext</span>&nbsp;<span class="memberName">springContext</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="netConfig">netConfig</a></h3>
<div class="memberSignature"><span class="modifiers">static</span>&nbsp;<span class="returnType"><a href="handler/config/NetworkConfiguration.html" title="class in eu.systemsengineer.fjcapeletto.handler.config">NetworkConfiguration</a></span>&nbsp;<span class="memberName">netConfig</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="carsBaseConfig">carsBaseConfig</a></h3>
<div class="memberSignature"><span class="modifiers">static</span>&nbsp;<span class="returnType">eu.systemsengineer.fjcapeletto.model.CarsBase</span>&nbsp;<span class="memberName">carsBaseConfig</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="displayConfig">displayConfig</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType"><a href="handler/config/DisplayConfiguration.html" title="class in eu.systemsengineer.fjcapeletto.handler.config">DisplayConfiguration</a></span>&nbsp;<span class="memberName">displayConfig</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="publisherSetCourseCar">publisherSetCourseCar</a></h3>
<div class="memberSignature"><span class="modifiers">private static</span>&nbsp;<span class="returnType">eu.systemsengineer.fjcapeletto.msg.publisher.PublisherSetCourseCar</span>&nbsp;<span class="memberName">publisherSetCourseCar</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="subscriberSetCourseCar">subscriberSetCourseCar</a></h3>
<div class="memberSignature"><span class="modifiers">private static</span>&nbsp;<span class="returnType">eu.systemsengineer.fjcapeletto.msg.subscriber.SubscriberSetCourseCar</span>&nbsp;<span class="memberName">subscriberSetCourseCar</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="fleetCars">fleetCars</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;eu.systemsengineer.fjcapeletto.model.Car&gt;</span>&nbsp;<span class="memberName">fleetCars</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="mapCarList">mapCarList</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">java.util.Map&lt;java.lang.Integer,&#8203;eu.systemsengineer.fjcapeletto.model.Car&gt;</span>&nbsp;<span class="memberName">mapCarList</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">SubscriberSetCourseCarTest</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">SubscriberSetCourseCarTest</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="setUpBeforeClass()">setUpBeforeClass</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setUpBeforeClass</span>()
                             throws <span class="exceptions">java.lang.Exception</span></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="tearDownAfterClass()">tearDownAfterClass</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">tearDownAfterClass</span>()
                               throws <span class="exceptions">java.lang.Exception</span></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="testSetCourseCar()">testSetCourseCar</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">testSetCourseCar</span>()</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SubscriberSetCourseCarTest.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
